%define	upstream_name	 File-Find-Rule
%define upstream_version 0.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Alternative interface to File::Find
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Number::Compare)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Glob) >= 0.70.0
BuildArch:  noarch

%description 
File::Find::Rule is a friendlier interface to File::Find. It allows you to
build rules which specify the desired files and directories.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/File
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Tue Jun 10 2025 tv <tv> 0.350.0-1.mga10
+ Revision: 2190280
- update to 0.35

* Sun Mar 20 2022 umeabot <umeabot> 0.340.0-5.mga9
+ Revision: 1803625
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.340.0-4.mga8
+ Revision: 1494482
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.340.0-3.mga7
+ Revision: 1267958
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.340.0-2.mga6
+ Revision: 1027301
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.340.0-1.mga6
+ Revision: 923766
- update to 0.34

* Sun Oct 19 2014 umeabot <umeabot> 0.330.0-6.mga5
+ Revision: 788531
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.330.0-5.mga5
+ Revision: 748662
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.330.0-4.mga5
+ Revision: 684724
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.330.0-3.mga4
+ Revision: 511551
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.330.0-2.mga3
+ Revision: 367216
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 0.330.0-1.mga2
+ Revision: 148061
- update to 0.33

* Sat Jan 22 2011 jquelin <jquelin> 0.320.0-1.mga1
+ Revision: 31984
- mageia rebuild
- imported package perl-File-Find-Rule

